#ifndef _XO_COLUMN_H_
#define _XO_COLUMN_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_CONSBASE_H_
#include <X11/Xo/ConsBase.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *			       *** Composite ***
 * children	     ReadOnly		WidgetList	NULL
 * insertPosition    InsertPosition	XtOrderProc	NULL
 * numChildren	     ReadOnly		Cardinal	NULL
 *			      *** Constraint ***
 *			       *** ConsBase ***
 * borderClass	     Class		WidgetClass	"None"
 * borderWidget	     BorderWidget	Widget		NULL
 * doLayout	     DoLayout		Boolean		(caddr_t) True
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * traverse	     Traverse		XtCallbackList	NULL
 *				*** Column ***
 * vspace	     Space		Dimension	(XtPointer) 5
 */
/*
 * Constraint Parameters:
 *
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 *			       *** Composite ***
 *			      *** Constraint ***
 *			       *** ConsBase ***
 * sortOrder	     SortOrder		int		0
 *				*** Column ***
 * shrink	     Shrink		int		(XtPointer) 1
 * stretch	     Stretch		int		(XtPointer) 1
 */
extern WidgetClass		xoColumnWidgetClass;

typedef struct _XoColumnClassRec *XoColumnWidgetClass;
typedef struct _XoColumnRec	*XoColumnWidget;

#ifndef XtNshrink
#	define XtNshrink "shrink"
#endif
#ifndef XtNstretch
#	define XtNstretch "stretch"
#endif
#ifndef XtNvspace
#	define XtNvspace "vspace"
#endif
#ifndef XtCShrink
#	define XtCShrink "Shrink"
#endif
#ifndef XtCStretch
#	define XtCStretch "Stretch"
#endif
#ifndef XtCSpace
#	define XtCSpace "Space"
#endif

#endif /* _XO_COLUMN_H_ */
