#ifndef _XO_LABEL_H_
#define _XO_LABEL_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_SIMPLE_H_
#include <X11/Xo/Simple.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** Simple ***
 * backingStore	     BackingStore	int		"NotUseful"
 * borderClass	     Class		WidgetClass	"None"
 * borderWidget	     BorderWidget	Widget		NULL
 * cursor	     Cursor		Cursor		"cross"
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritSet	     InheritSet		XtCallbackList	NULL
 * traverseAccept    TraverseAccept	Boolean		(XtPointer) True
 *				 *** Label ***
 * drawClass	     Class		WidgetClass	"ObjText"
 * drawWidget	     DrawWidget		Widget		NULL
 * flagClass	     Class		WidgetClass	NULL
 * flagJustify	     Justify		XoJustify	"Right"
 * flagWidget	     FlagWidget		Widget		NULL
 * gravity	     Gravity		XoGravity	"Center"
 * resizeDraw	     ResizeDraw		Boolean		False
 */
extern WidgetClass		xoLabelWidgetClass;

typedef struct _XoLabelClassRec	*XoLabelWidgetClass;
typedef struct _XoLabelRec	*XoLabelWidget;

#ifndef XtNdrawClass
#	define XtNdrawClass "drawClass"
#endif
#ifndef XtNdrawWidget
#	define XtNdrawWidget "drawWidget"
#endif
#ifndef XtNflagClass
#	define XtNflagClass "flagClass"
#endif
#ifndef XtNflagJustify
#	define XtNflagJustify "flagJustify"
#endif
#ifndef XtNflagWidget
#	define XtNflagWidget "flagWidget"
#endif
#ifndef XtNgravity
#	define XtNgravity "gravity"
#endif
#ifndef XtNresizeDraw
#	define XtNresizeDraw "resizeDraw"
#endif
#ifndef XtCDrawWidget
#	define XtCDrawWidget "DrawWidget"
#endif
#ifndef XtCJustify
#	define XtCJustify "Justify"
#endif
#ifndef XtCFlagWidget
#	define XtCFlagWidget "FlagWidget"
#endif
#ifndef XtCGravity
#	define XtCGravity "Gravity"
#endif
#ifndef XtCResizeDraw
#	define XtCResizeDraw "ResizeDraw"
#endif
#ifndef XtRJustify
#	define XtRJustify "Justify"
#endif
#ifndef XtRGravity
#	define XtRGravity "Gravity"
#endif

#endif /* _XO_LABEL_H_ */
