#ifndef _XO_LISTREC_H_
#define _XO_LISTREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS actions
#define ACTIONNUM XtNumber(actions)
XoProto (static void, Notify, (Widget gw, XEvent *event, String *params, Cardinal *num_params));
XoProto (static void, CurrentClear, (Widget gw, XEvent *event, String *params, Cardinal *num_params));
XoProto (static void, CurrentLocate, (Widget gw, XEvent *event, String *params, Cardinal *num_params));
XoProto (static void, CurrentSet, (Widget gw, XEvent *event, String *params, Cardinal *num_params));
static XtActionsRec actions[] = {
	{"Notify",	Notify},
	{"CurrentClear",	CurrentClear},
	{"CurrentLocate",	CurrentLocate},
	{"CurrentSet",	CurrentSet},
};
static char translations[] = "\
	<Btn1Down>:	CurrentClear()\n\
	<Btn1Up>:	CurrentLocate() CurrentSet() Notify()\n\
";
#define offset(field) XtOffset(XoListWidget, list.field)
static XtResource resources[] = {
	{XtNcallback, XtCCallback, XtRCallback, sizeof(XtCallbackList),
	    offset(callbacks), XtRImmediate, NULL},
	{XtNcurrent, XtCCurrent, XtRWidget, sizeof(Widget),
	    offset(current), XtRImmediate, NULL},
};
#undef offset
XoProto (extern void,	_XoClassInit, (void));
XoProto (static void,	Destroy, (Widget gw));
XoProto (static void,	Redisplay, (Widget gw, XEvent * event, Region region));
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoListClassRec xoListClassRec = {
	{ /* Core */
		(WidgetClass) &xoColumnClassRec, /* superclass */
		"List",				/* class_name */
		sizeof(XoListRec),		/* widget_size */
		_XoClassInit,			/* Core.class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* Core.initialize */
		NULL,				/* initialize_hook */
		XtInheritRealize,		/* realize */
		ACTIONS,			/* actions */
		ACTIONNUM,			/* num_actions */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		True,				/* compress_motion */
		True,				/* compress_exposure */
		True,				/* compress_enterleave */
		False,				/* visible_interest */
		Destroy,			/* Core.destroy */
		XtInheritResize,		/* resize */
		Redisplay,			/* Core.expose */
		SetValues,			/* Core.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		XtInheritAcceptFocus,		/* Core.accept_focus */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		translations,			/* Core.tm_table */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* display_accelerator */
		NULL,				/* extension */
	},
	{ /* Composite */
		XtInheritGeometryManager,	/* geometry_manager */
		XtInheritChangeManaged,		/* change_managed */
		XtInheritInsertChild,		/* insert_child */
		XtInheritDeleteChild,		/* delete_child */
		_XoConsExtensionPtr,		/* Composite.extension */
	},
	{ /* Constraint */
		NULL,				/* Constraint.resources */
		0,				/* Constraint.num_resources */
		sizeof(XoListConstraintRec),	/* constraint_size */
		NULL,				/* initialize */
		NULL,				/* destroy */
		NULL,				/* set_values */
		NULL,				/* extension */
	},
	{ /* ConsBase */
		XtInheritTraversalProc,		/* traverse */
		XtInheritSortProc,		/* sort */
	},
	{ /* Column */
		0,				/* filler */
	},
	{ /* List */
		0,				/* dummy */
	},
};
WidgetClass xoListWidgetClass = (WidgetClass) &xoListClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoColumnClassRec
#define MyClass xoListClassRec
#define ThisSuperClass(gw) (*(XoListClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoListClassRec *)XtClass(gw))

#endif /* _XO_LISTREC_H_ */
