#ifndef _XO_MENUBOXREC_H_
#define _XO_MENUBOXREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoMenuBoxWidget, menu_box.field)
static XtResource resources[] = {
	{XtNcallbackMenu, XtCCallbackMenu, XtRCallback, sizeof(XtCallbackList),
	    offset(callback_menu), XtRImmediate, NULL},
	{XtNpopup, XtCPopup, XtRWidget, sizeof(Widget),
	    offset(popup), XtRImmediate, NULL},
};
#undef offset
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static void,	CallbackMenu, (Widget gw, XtPointer client_data, 
				       XtPointer call_data));
XoMenuBoxClassRec xoMenuBoxClassRec = {
	{ /* Core */
		(WidgetClass) &xoBoxClassRec,	/* superclass */
		"MenuBox",			/* class_name */
		sizeof(XoMenuBoxRec),		/* widget_size */
		NULL,				/* class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* Core.initialize */
		NULL,				/* initialize_hook */
		XtInheritRealize,		/* realize */
		ACTIONS,			/* actions */
		ACTIONNUM,			/* num_actions */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		True,				/* compress_motion */
		True,				/* compress_exposure */
		True,				/* compress_enterleave */
		False,				/* visible_interest */
		NULL,				/* destroy */
		XtInheritResize,		/* resize */
		XtInheritExpose,		/* expose */
		NULL,				/* set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		XtInheritAcceptFocus,		/* accept_focus */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* tm_table */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* display_accelerator */
		NULL,				/* extension */
	},
	{ /* Composite */
		XtInheritGeometryManager,	/* geometry_manager */
		XtInheritChangeManaged,		/* change_managed */
		XtInheritInsertChild,		/* insert_child */
		XtInheritDeleteChild,		/* delete_child */
		_XoCompExtensionPtr,		/* Composite.extension */
	},
	{ /* CompBase */
		XtInheritTraversalProc,		/* traverse */
	},
	{ /* Box */
		0,				/* filler */
	},
	{ /* MenuBox */
		CallbackMenu,			/* callback_menu */
	},
};
WidgetClass xoMenuBoxWidgetClass = (WidgetClass) &xoMenuBoxClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoBoxClassRec
#define MyClass xoMenuBoxClassRec
#define ThisSuperClass(gw) (*(XoMenuBoxClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoMenuBoxClassRec *)XtClass(gw))

#endif /* _XO_MENUBOXREC_H_ */
