#ifndef _XO_MENUREC_H_
#define _XO_MENUREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoMenuWidget, menu.field)
static XtResource resources[] = {
	{XtNcallbackMenu, XtCCallbackMenu, XtRCallback, sizeof(XtCallbackList),
	    offset(callback_menu), XtRImmediate, NULL},
	{XtNpopup, XtCPopup, XtRWidget, sizeof(Widget),
	    offset(popup), XtRImmediate, NULL},
};
#undef offset
XoProto (static void,	Traverse, (Widget gw, XtPointer client_data, 
				   XtPointer call_data));
XoProto (static void,	ClassPartInit, (WidgetClass class));
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static void,	CallbackMenu, (Widget gw, XtPointer client_data, 
				       XtPointer call_data));
XoMenuClassRec xoMenuClassRec = {
	{ /* Core */
		(WidgetClass) &xoColumnClassRec, /* superclass */
		"Menu",				/* class_name */
		sizeof(XoMenuRec),		/* widget_size */
		_XoClassInit,			/* Core.class_initialize */
		ClassPartInit,			/* Core.class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* Core.initialize */
		NULL,				/* initialize_hook */
		XtInheritRealize,		/* realize */
		ACTIONS,			/* actions */
		ACTIONNUM,			/* num_actions */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		True,				/* compress_motion */
		True,				/* compress_exposure */
		True,				/* compress_enterleave */
		False,				/* visible_interest */
		NULL,				/* destroy */
		XtInheritResize,		/* resize */
		XtInheritExpose,		/* expose */
		NULL,				/* set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		XtInheritAcceptFocus,		/* accept_focus */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* tm_table */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* display_accelerator */
		NULL,				/* extension */
	},
	{ /* Composite */
		XtInheritGeometryManager,	/* geometry_manager */
		XtInheritChangeManaged,		/* change_managed */
		XtInheritInsertChild,		/* insert_child */
		XtInheritDeleteChild,		/* delete_child */
		_XoConsExtensionPtr,		/* Composite.extension */
	},
	{ /* Constraint */
		NULL,				/* Constraint.resources */
		0,				/* Constraint.num_resources */
		sizeof(XoMenuConstraintRec),	/* constraint_size */
		NULL,				/* initialize */
		NULL,				/* destroy */
		NULL,				/* set_values */
		NULL,				/* extension */
	},
	{ /* ConsBase */
		Traverse,			/* ConsBase.traverse */
		XtInheritSortProc,		/* sort */
	},
	{ /* Column */
		0,				/* filler */
	},
	{ /* Menu */
		CallbackMenu,			/* callback_menu */
	},
};
WidgetClass xoMenuWidgetClass = (WidgetClass) &xoMenuClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoColumnClassRec
#define MyClass xoMenuClassRec
#define ThisSuperClass(gw) (*(XoMenuClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoMenuClassRec *)XtClass(gw))

#endif /* _XO_MENUREC_H_ */
