#ifndef _XO_MENUSHELLREC_H_
#define _XO_MENUSHELLREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS actions
#define ACTIONNUM XtNumber(actions)
XoProto (static void, XoMenuPopdown, (Widget gw, XEvent *event, String *params, Cardinal *num_params));
static XtActionsRec actions[] = {
	{"XoMenuPopdown",	XoMenuPopdown},
};
static char translations[] = "\
	<Btn1Up>:	XoMenuPopdown()\n\
";
#define offset(field) XtOffset(XoMenuShellWidget, menu_shell.field)
static XtResource resources[] = {
	{XtNcallbackMenu, XtCCallbackMenu, XtRCallback, sizeof(XtCallbackList),
	    offset(callback_menu), XtRImmediate, NULL},
	{XtNcurrent, XtCCurrent, XtRWidget, sizeof(Widget),
	    offset(current), XtRImmediate, NULL},
	{XtNpopupStarter, XtCPopupStarter, XtRWidget, sizeof(Widget),
	    offset(popup_starter), XtRImmediate, NULL},
	{XtNstart, XtCStart, XtRBoolean, sizeof(Boolean),
	    offset(start), XtRImmediate, False},
	{XtNborderClass, XtCClass, XtRObjectClass, sizeof(WidgetClass),
	    offset(border_class), XtRString, "DefaultBorder"},
	{XtNborderWidget, XtCBorderWidget, XtRPointer, sizeof(Widget),
	    offset(border_widget), XtRImmediate, NULL},
	{XtNborderWidth, XtCBorderWidth, XtRDimension, sizeof(Dimension),
	    XtOffset(XoMenuShellWidget,core.border_width), XtRImmediate, 0},
	{XtNtraverse, XtCTraverse, XtRCallback, sizeof(XtCallbackList),
	    offset(traverse), XtRImmediate, NULL},
};
#undef offset
XoProto (static void,	ChangeManaged, (Widget gw));
XoProto (static void,	ClassPartInit, (WidgetClass class));
XoProto (static void,	Redisplay, (Widget gw, XEvent * event, Region region));
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static void,	Resize, (Widget gw));
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static void,	CallbackMenu, (Widget gw, XtPointer client_data, 
				       XtPointer call_data));
XoProto (static void,	Traverse, (Widget gw, XtPointer client_data, 
				   XtPointer call_data));
XoMenuShellClassRec xoMenuShellClassRec = {
	{ /* Core */
		(WidgetClass) &overrideShellClassRec, /* superclass */
		"MenuShell",			/* class_name */
		sizeof(XoMenuShellRec),		/* widget_size */
		NULL,				/* class_initialize */
		ClassPartInit,			/* Core.class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* Core.initialize */
		NULL,				/* initialize_hook */
		XtInheritRealize,		/* realize */
		ACTIONS,			/* actions */
		ACTIONNUM,			/* num_actions */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		True,				/* compress_motion */
		True,				/* compress_exposure */
		True,				/* compress_enterleave */
		False,				/* visible_interest */
		NULL,				/* destroy */
		Resize,				/* Core.resize */
		Redisplay,			/* Core.expose */
		SetValues,			/* Core.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		XoFocusAcceptComp,		/* Core.accept_focus */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		translations,			/* Core.tm_table */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* display_accelerator */
		NULL,				/* extension */
	},
	{ /* Composite */
		XtInheritGeometryManager,	/* geometry_manager */
		ChangeManaged,			/* Composite.change_managed */
		XtInheritInsertChild,		/* insert_child */
		XtInheritDeleteChild,		/* delete_child */
		(XtPointer) &extension,		/* Composite.extension */
	},
	{ /* Shell */
		NULL,				/* extension */
	},
	{ /* OverrideShell */
		NULL,				/* extension */
	},
	{ /* MenuShell */
		CallbackMenu,			/* callback_menu */
		Traverse,			/* traverse */
	},
};
WidgetClass xoMenuShellWidgetClass = (WidgetClass) &xoMenuShellClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass overrideShellClassRec
#define MyClass xoMenuShellClassRec
#define ThisSuperClass(gw) (*(XoMenuShellClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoMenuShellClassRec *)XtClass(gw))

#endif /* _XO_MENUSHELLREC_H_ */
