#ifndef _XO_OBJARROW_H_
#define _XO_OBJARROW_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJDRAW_H_
#include <X11/Xo/ObjDraw.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				*** Object ***
 * destroyCallback   Callback		XtCallbackList	NULL
 *				*** RectObj ***
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * borderWidth	     BorderWidth	Dimension	0
 * height	     Height		Dimension	0
 * sensitive	     Sensitive		Boolean		True
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** ObjDraw ***
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritResources  QuarkSortedList	XrmQuark *	NULL
 * insensitiveStipple Shading		XoShading	"gray4"
 * noDraw	     DoDraw		Boolean		"False"
 *			       *** ObjArrow ***
 * direction	     Direction		XoPointing	"Left"
 */
extern WidgetClass		xoObjArrowWidgetClass;

typedef struct _XoObjArrowClassRec *XoObjArrowWidgetClass;
typedef struct _XoObjArrowRec	*XoObjArrowWidget;

#ifndef XtNdirection
#	define XtNdirection "direction"
#endif
#ifndef XtCDirection
#	define XtCDirection "Direction"
#endif
#ifndef XtRPointing
#	define XtRPointing "Pointing"
#endif

#endif /* _XO_OBJARROW_H_ */
