#ifndef _XO_OBJARROWP_H_
#define _XO_OBJARROWP_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJDRAWP_H_
#include <X11/Xo/ObjDrawP.h>
#endif
#ifndef _XO_OBJARROW_H_
#include <X11/Xo/ObjArrow.h>
#endif

/*
 * ObjArrow's class record.
 */
typedef struct
{
	XtPointer	extension;	/* pointer to extension record */
} XoObjArrowClassPart;
/*
 * Full class record for ObjArrow widget.
 */
typedef struct _XoObjArrowClassRec
{
	RectObjClassPart rect_class;	/* the RectObj class variables */
	XoObjDrawClassPart obj_draw_class; /* the ObjDraw class variables */
	XoObjArrowClassPart obj_arrow_class; /* the ObjArrow class variables */
} XoObjArrowClassRec;

extern XoObjArrowClassRec	xoObjArrowClassRec;

/*
 * ObjArrow's instance record.
 */
typedef struct
{
	XoPointing	direction;	/* which way arrow points */
	GC		gc;		/* GC for drawing the border */
} XoObjArrowPart;

/*
 * ObjArrow's complete instance record.
 */
typedef struct _XoObjArrowRec
{
	ObjectPart	object;		/* the Object instance variables */
	RectObjPart	rectangle;	/* the RectObj instance variables */
	XoObjDrawPart	obj_draw;	/* the ObjDraw instance variables */
	XoObjArrowPart	obj_arrow;	/* the ObjArrow instance variables */
} XoObjArrowRec;

#endif /* _XO_OBJARROWP_H_ */
