#ifndef _XO_OBJBORDER_H_
#define _XO_OBJBORDER_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJDRAW_H_
#include <X11/Xo/ObjDraw.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				*** Object ***
 * destroyCallback   Callback		XtCallbackList	NULL
 *				*** RectObj ***
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * borderWidth	     BorderWidth	Dimension	0
 * height	     Height		Dimension	0
 * sensitive	     Sensitive		Boolean		True
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** ObjDraw ***
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritResources  QuarkSortedList	XrmQuark *	NULL
 * insensitiveStipple Shading		XoShading	"gray4"
 * noDraw	     DoDraw		Boolean		"False"
 *			       *** ObjBorder ***
 * clearInverted     ClearInverted	Boolean		False
 * inverted	     Inverted		Boolean		False
 */
extern WidgetClass		xoObjBorderWidgetClass;

typedef struct _XoObjBorderClassRec *XoObjBorderWidgetClass;
typedef struct _XoObjBorderRec	*XoObjBorderWidget;

#ifndef XtNclearInverted
#	define XtNclearInverted "clearInverted"
#endif
#ifndef XtNinverted
#	define XtNinverted "inverted"
#endif
#ifndef XtCClearInverted
#	define XtCClearInverted "ClearInverted"
#endif
#ifndef XtCInverted
#	define XtCInverted "Inverted"
#endif

#endif /* _XO_OBJBORDER_H_ */
