#ifndef _XO_OBJDRAW_H_
#define _XO_OBJDRAW_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XtRect_h
#include <X11/RectObj.h>
#endif

#ifndef _XO_XO_H_
#include <X11/Xo/Xo.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				*** Object ***
 * destroyCallback   Callback		XtCallbackList	NULL
 *				*** RectObj ***
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * borderWidth	     BorderWidth	Dimension	0
 * height	     Height		Dimension	0
 * sensitive	     Sensitive		Boolean		True
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** ObjDraw ***
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritResources  QuarkSortedList	XrmQuark *	NULL
 * insensitiveStipple Shading		XoShading	"gray4"
 * noDraw	     DoDraw		Boolean		"False"
 */
extern WidgetClass		xoObjDrawWidgetClass;

typedef struct _XoObjDrawClassRec *XoObjDrawWidgetClass;
typedef struct _XoObjDrawRec	*XoObjDrawWidget;

#ifndef XtNforeground
#	define XtNforeground "foreground"
#endif
#ifndef XtNinheritResources
#	define XtNinheritResources "inheritResources"
#endif
#ifndef XtNinsensitiveStipple
#	define XtNinsensitiveStipple "insensitiveStipple"
#endif
#ifndef XtNnoDraw
#	define XtNnoDraw "noDraw"
#endif
#ifndef XtCForeground
#	define XtCForeground "Foreground"
#endif
#ifndef XtCQuarkSortedList
#	define XtCQuarkSortedList "QuarkSortedList"
#endif
#ifndef XtCShading
#	define XtCShading "Shading"
#endif
#ifndef XtCDoDraw
#	define XtCDoDraw "DoDraw"
#endif
#ifndef XtRPixel
#	define XtRPixel "Pixel"
#endif
#ifndef XtRSortedQuarkList
#	define XtRSortedQuarkList "SortedQuarkList"
#endif
#ifndef XtRShading
#	define XtRShading "Shading"
#endif

#endif /* _XO_OBJDRAW_H_ */
