#ifndef _XO_OBJDRAWREC_H_
#define _XO_OBJDRAWREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoObjDrawWidget, obj_draw.field)
static XtResource resources[] = {
	{XtNforeground, XtCForeground, XtRPixel, sizeof(Pixel),
	    offset(fg), XtRString, XtDefaultForeground},
	{XtNinsensitiveStipple, XtCShading, XtRShading, sizeof(XoShading),
	    offset(insensitive_stipple), XtRString, "gray4"},
	{XtNnoDraw, XtCDoDraw, XtRBoolean, sizeof(Boolean),
	    offset(no_draw), XtRString, "False"},
	{XtNinheritResources, XtCQuarkSortedList, XtRSortedQuarkList, sizeof(XrmQuark *),
	    offset(inherit_resources), XtRImmediate, NULL},
};
#undef offset
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoObjDrawClassRec xoObjDrawClassRec = {
	{ /* RectObj */
		(WidgetClass) &rectObjClassRec,	/* superclass */
		"ObjDraw",			/* class_name */
		sizeof(XoObjDrawRec),		/* widget_size */
		NULL,				/* class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* RectObj.initialize */
		NULL,				/* initialize_hook */
		(XtProc) NULL,			/* rect1 */
		(XtPointer) NULL,		/* rect2 */
		0,				/* rect3 */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		False,				/* rect4 */
		False,				/* rect5 */
		False,				/* rect6 */
		False,				/* rect7 */
		NULL,				/* destroy */
		XtInheritResize,		/* resize */
		XtInheritExpose,		/* expose */
		SetValues,			/* RectObj.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		(XtProc) NULL,			/* rect9 */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* rect10 */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* rect11 */
		NULL,				/* extension */
	},
	{ /* ObjDraw */
		NULL,				/* print */
	},
};
WidgetClass xoObjDrawWidgetClass = (WidgetClass) &xoObjDrawClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass rectObjClassRec
#define MyClass xoObjDrawClassRec
#define ThisSuperClass(gw) (*(XoObjDrawClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoObjDrawClassRec *)XtClass(gw))

#endif /* _XO_OBJDRAWREC_H_ */
