#ifndef _XO_OBJLABELFORMATREC_H_
#define _XO_OBJLABELFORMATREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoObjLabelFormatWidget, obj_label_format.field)
static XtResource resources[] = {
	{XtNinheritResources, XtCQuarkSortedList, XtRSortedQuarkList, sizeof(XrmQuark *),
	    XtOffset(XoObjLabelFormatWidget,obj_draw.inherit_resources), XtRString, "label, sensitive, ancestorSensitive, defaultLabel,fontFamily,fontStyle,fontSize,rotate"},
	{XtNfontFamily, XtCFontFamily, XtRString, sizeof(String),
	    offset(font_family), XtRString, "times"},
	{XtNprivate, XtCPrivate, XtRPrivate, sizeof(AtFontFamily *),
	    offset(family), XtRImmediate, NULL},
	{XtNfontSize, XtCFontSize, XtRInt, sizeof(int),
	    offset(font_size), XtRImmediate, (XtPointer) AtFontNORMAL},
	{XtNfontStyle, XtCFontStyle, XtRFontStyle, sizeof(int),
	    offset(font_style), XtRImmediate, (XtPointer) AtFontBOLD},
	{XtNrotate, XtCRotate, XtRBoolean, sizeof(Boolean),
	    offset(rotate), XtRImmediate, False},
};
#undef offset
XoProto (static void,	LabelDraw, (Widget gw, int i, int y));
XoProto (static void,	LabelFree, (Widget gw, _XoTextInfo * tinfo, int i));
XoProto (static void,	LabelMake, (Widget gw, String line, XoLines* l));
XoProto (static void,	ClassPartInitialize, (WidgetClass class));
XoProto (static void,	Destroy, (Widget gw));
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoObjLabelFormatClassRec xoObjLabelFormatClassRec = {
	{ /* RectObj */
		(WidgetClass) &xoObjLabelClassRec, /* superclass */
		"ObjLabelFormat",		/* class_name */
		sizeof(XoObjLabelFormatRec),	/* widget_size */
		NULL,				/* class_initialize */
		ClassPartInitialize,		/* RectObj.class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* RectObj.initialize */
		NULL,				/* initialize_hook */
		(XtProc) NULL,			/* rect1 */
		(XtPointer) NULL,		/* rect2 */
		0,				/* rect3 */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		False,				/* rect4 */
		False,				/* rect5 */
		False,				/* rect6 */
		False,				/* rect7 */
		Destroy,			/* RectObj.destroy */
		XtInheritResize,		/* resize */
		XtInheritExpose,		/* expose */
		SetValues,			/* RectObj.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		(XtProc) NULL,			/* rect9 */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* rect10 */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* rect11 */
		NULL,				/* extension */
	},
	{ /* ObjDraw */
		NULL,				/* print */
	},
	{ /* ObjLabel */
		LabelMake,			/* ObjLabel.label_make */
		LabelDraw,			/* ObjLabel.label_draw */
		LabelFree,			/* ObjLabel.label_free */
	},
	{ /* ObjLabelFormat */
		0,				/* dummy */
	},
};
WidgetClass xoObjLabelFormatWidgetClass = (WidgetClass) &xoObjLabelFormatClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoObjLabelClassRec
#define MyClass xoObjLabelFormatClassRec
#define ThisSuperClass(gw) (*(XoObjLabelFormatClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoObjLabelFormatClassRec *)XtClass(gw))

#endif /* _XO_OBJLABELFORMATREC_H_ */
