#ifndef _XO_OBJLABELREC_H_
#define _XO_OBJLABELREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoObjLabelWidget, obj_label.field)
static XtResource resources[] = {
	{XtNinheritResources, XtCQuarkSortedList, XtRSortedQuarkList, sizeof(XrmQuark *),
	    XtOffset(XoObjLabelWidget,obj_draw.inherit_resources), XtRString, "label, sensitive, ancestorSensitive, font"},
	{XtNfont, XtCFont, XtRFontStruct, sizeof(XFontStruct *),
	    offset(font), XtRString, "*-times-bold-r-*-*-140-*"},
	{XtNjustify, XtCJustify, XtRJustify, sizeof(XoJustify),
	    offset(justify), XtRString, "Left"},
	{XtNlabel, XtCLabel, XtRString, sizeof(String),
	    offset(label), XtRImmediate, NULL},
	{XtNdefaultLabel, XtCDefaultLabel, XtRString, sizeof(String),
	    offset(default_label), XtRImmediate, NULL},
};
#undef offset
XoProto (static void,	ClassPartInitialize, (WidgetClass class));
XoProto (static void,	Destroy, (Widget gw));
XoProto (static void,	Redisplay, (Widget widget, XEvent* event, 
				    Region region));
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static XtGeometryResult,
			GeometryQuery, (Widget widget, 
					XtWidgetGeometry* request, 
					XtWidgetGeometry* reply));
XoProto (static void,	Resize, (Widget gw));
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static void,	LabelDraw, (Widget gw, int i, int y));
XoProto (static void,	LabelFree, (Widget gw, _XoTextInfo * tinfo, int i));
XoProto (static void,	LabelMake, (Widget gw, String line, XoLines* l));
XoObjLabelClassRec xoObjLabelClassRec = {
	{ /* RectObj */
		(WidgetClass) &xoObjDrawClassRec, /* superclass */
		"ObjLabel",			/* class_name */
		sizeof(XoObjLabelRec),		/* widget_size */
		NULL,				/* class_initialize */
		ClassPartInitialize,		/* RectObj.class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* RectObj.initialize */
		NULL,				/* initialize_hook */
		(XtProc) NULL,			/* rect1 */
		(XtPointer) NULL,		/* rect2 */
		0,				/* rect3 */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		False,				/* rect4 */
		False,				/* rect5 */
		False,				/* rect6 */
		False,				/* rect7 */
		Destroy,			/* RectObj.destroy */
		Resize,				/* RectObj.resize */
		Redisplay,			/* RectObj.expose */
		SetValues,			/* RectObj.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		(XtProc) NULL,			/* rect9 */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* rect10 */
		GeometryQuery,			/* RectObj.query_geometry */
		NULL,				/* rect11 */
		NULL,				/* extension */
	},
	{ /* ObjDraw */
		NULL,				/* print */
	},
	{ /* ObjLabel */
		LabelMake,			/* label_make */
		LabelDraw,			/* label_draw */
		LabelFree,			/* label_free */
	},
};
WidgetClass xoObjLabelWidgetClass = (WidgetClass) &xoObjLabelClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoObjDrawClassRec
#define MyClass xoObjLabelClassRec
#define ThisSuperClass(gw) (*(XoObjLabelClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoObjLabelClassRec *)XtClass(gw))

#endif /* _XO_OBJLABELREC_H_ */
