#ifndef _XO_OBJLABELFORMAT_H_
#define _XO_OBJLABELFORMAT_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJLABEL_H_
#include <X11/Xo/ObjLabel.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				*** Object ***
 * destroyCallback   Callback		XtCallbackList	NULL
 *				*** RectObj ***
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * borderWidth	     BorderWidth	Dimension	0
 * height	     Height		Dimension	0
 * sensitive	     Sensitive		Boolean		True
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** ObjDraw ***
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritResources  QuarkSortedList	XrmQuark *	NULL
 * insensitiveStipple Shading		XoShading	"gray4"
 * noDraw	     DoDraw		Boolean		"False"
 *			       *** ObjLabel ***
 * defaultLabel	     DefaultLabel	String		NULL
 * font		     Font		XFontStruct *	"*-times-bold-r-*-*-140-*"
 * justify	     Justify		XoJustify	"Left"
 * label	     Label		String		NULL
 *			    *** ObjLabelFormat ***
 * private	     Private		AtFontFamily *	NULL
 * fontFamily	     FontFamily		String		"times"
 * fontSize	     FontSize		int		(XtPointer) AtFontNORMAL
 * fontStyle	     FontStyle		int		(XtPointer) AtFontBOLD
 * rotate	     Rotate		Boolean		False
 */
extern WidgetClass		xoObjLabelFormatWidgetClass;

typedef struct _XoObjLabelFormatClassRec *XoObjLabelFormatWidgetClass;
typedef struct _XoObjLabelFormatRec *XoObjLabelFormatWidget;

#ifndef XtNprivate
#	define XtNprivate "private"
#endif
#ifndef XtNfontFamily
#	define XtNfontFamily "fontFamily"
#endif
#ifndef XtNfontSize
#	define XtNfontSize "fontSize"
#endif
#ifndef XtNfontStyle
#	define XtNfontStyle "fontStyle"
#endif
#ifndef XtNrotate
#	define XtNrotate "rotate"
#endif
#ifndef XtCPrivate
#	define XtCPrivate "Private"
#endif
#ifndef XtCFontFamily
#	define XtCFontFamily "FontFamily"
#endif
#ifndef XtCFontSize
#	define XtCFontSize "FontSize"
#endif
#ifndef XtCFontStyle
#	define XtCFontStyle "FontStyle"
#endif
#ifndef XtCRotate
#	define XtCRotate "Rotate"
#endif
#ifndef XtRPrivate
#	define XtRPrivate "Private"
#endif
#ifndef XtRInt
#	define XtRInt "Int"
#endif
#ifndef XtRFontStyle
#	define XtRFontStyle "FontStyle"
#endif

#endif /* _XO_OBJLABELFORMAT_H_ */
