#ifndef _XO_SIMPLEREC_H_
#define _XO_SIMPLEREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoSimpleWidget, simple.field)
static XtResource resources[] = {
	{XtNborderClass, XtCClass, XtRObjectClass, sizeof(WidgetClass),
	    offset(border_class), XtRString, "None"},
	{XtNborderWidget, XtCBorderWidget, XtRPointer, sizeof(Widget),
	    offset(border_widget), XtRImmediate, NULL},
	{XtNforeground, XtCForeground, XtRPixel, sizeof(Pixel),
	    offset(fg), XtRString, XtDefaultForeground},
	{XtNcursor, XtCCursor, XtRCursor, sizeof(Cursor),
	    offset(cursor), XtRString, "cross"},
	{XtNbackingStore, XtCBackingStore, XtRBackingStore, sizeof(int),
	    offset(backing_store), XtRString, "NotUseful"},
	{XtNinheritSet, XtCInheritSet, XtRCallback, sizeof(XtCallbackList),
	    offset(inherit_set), XtRImmediate, NULL},
	{XtNtraverseAccept, XtCTraverseAccept, XtRBoolean, sizeof(Boolean),
	    offset(traverse_accept), XtRImmediate, (XtPointer) True},
};
#undef offset
XoProto (static void,	ClassInit, (void));
XoProto (static void,	Redisplay, (Widget gw, XEvent * event, Region region));
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static void,	Realize, (Widget widget, XtValueMask* mask, 
				  XSetWindowAttributes* attributes));
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoSimpleClassRec xoSimpleClassRec = {
	{ /* Core */
		(WidgetClass) &coreClassRec,	/* superclass */
		"Simple",			/* class_name */
		sizeof(XoSimpleRec),		/* widget_size */
		ClassInit,			/* Core.class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* Core.initialize */
		NULL,				/* initialize_hook */
		Realize,			/* Core.realize */
		ACTIONS,			/* actions */
		ACTIONNUM,			/* num_actions */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		True,				/* compress_motion */
		True,				/* compress_exposure */
		True,				/* compress_enterleave */
		False,				/* visible_interest */
		NULL,				/* destroy */
		XtInheritResize,		/* resize */
		Redisplay,			/* Core.expose */
		SetValues,			/* Core.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		XtInheritAcceptFocus,		/* accept_focus */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* tm_table */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* display_accelerator */
		NULL,				/* extension */
	},
	{ /* Simple */
		XtInheritSet,			/* set */
	},
};
WidgetClass xoSimpleWidgetClass = (WidgetClass) &xoSimpleClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass coreClassRec
#define MyClass xoSimpleClassRec
#define ThisSuperClass(gw) (*(XoSimpleClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoSimpleClassRec *)XtClass(gw))

#endif /* _XO_SIMPLEREC_H_ */
