#ifndef _XO_BOX_H_
#define _XO_BOX_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_COMPBASE_H_
#include <X11/Xo/CompBase.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *			       *** Composite ***
 * children	     ReadOnly		WidgetList	NULL
 * insertPosition    InsertPosition	XtOrderProc	NULL
 * numChildren	     ReadOnly		Cardinal	NULL
 *			       *** CompBase ***
 * borderClass	     Class		WidgetClass	"None"
 * borderWidget	     BorderWidget	Widget		NULL
 * doLayout	     DoLayout		Boolean		(caddr_t) True
 * traverse	     Traverse		XtCallbackList	NULL
 *				  *** Box ***
 * hoffset	     Offset		Dimension	(caddr_t) 5
 * insertHspace	     Spacers		Boolean		(caddr_t) True
 * insertVspace	     Spacers		Boolean		(caddr_t) True
 * shrink	     Shrink		Boolean		(caddr_t) False
 * stretch	     Stretch		Boolean		(caddr_t) True
 * voffset	     Offset		Dimension	(caddr_t) 5
 */
extern WidgetClass		xoBoxWidgetClass;

typedef struct _XoBoxClassRec	*XoBoxWidgetClass;
typedef struct _XoBoxRec	*XoBoxWidget;

#ifndef XtNhoffset
#	define XtNhoffset "hoffset"
#endif
#ifndef XtNinsertHspace
#	define XtNinsertHspace "insertHspace"
#endif
#ifndef XtNinsertVspace
#	define XtNinsertVspace "insertVspace"
#endif
#ifndef XtNshrink
#	define XtNshrink "shrink"
#endif
#ifndef XtNstretch
#	define XtNstretch "stretch"
#endif
#ifndef XtNvoffset
#	define XtNvoffset "voffset"
#endif
#ifndef XtCOffset
#	define XtCOffset "Offset"
#endif
#ifndef XtCSpacers
#	define XtCSpacers "Spacers"
#endif
#ifndef XtCShrink
#	define XtCShrink "Shrink"
#endif
#ifndef XtCStretch
#	define XtCStretch "Stretch"
#endif

#endif /* _XO_BOX_H_ */
