#ifndef _XO_BUTTON_H_
#define _XO_BUTTON_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_LABEL_H_
#include <X11/Xo/Label.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** Simple ***
 * backingStore	     BackingStore	int		"NotUseful"
 * borderClass	     Class		WidgetClass	"None"
 * borderWidget	     BorderWidget	Widget		NULL
 * cursor	     Cursor		Cursor		"cross"
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritSet	     InheritSet		XtCallbackList	NULL
 * traverseAccept    TraverseAccept	Boolean		(XtPointer) True
 *				 *** Label ***
 * drawClass	     Class		WidgetClass	"ObjText"
 * drawWidget	     DrawWidget		Widget		NULL
 * flagClass	     Class		WidgetClass	NULL
 * flagJustify	     Justify		XoJustify	"Right"
 * flagWidget	     FlagWidget		Widget		NULL
 * gravity	     Gravity		XoGravity	"Center"
 * resizeDraw	     ResizeDraw		Boolean		False
 *				*** Button ***
 * callback	     Callback		XtCallbackList	NULL
 * repeatDelay	     RepeatDelay	int		(XtPointer) 300
 * repeatInterval    RepeatInterval	int		(XtPointer) 100
 */
extern WidgetClass		xoButtonWidgetClass;

typedef struct _XoButtonClassRec *XoButtonWidgetClass;
typedef struct _XoButtonRec	*XoButtonWidget;

#ifndef XtNcallback
#	define XtNcallback "callback"
#endif
#ifndef XtNrepeatDelay
#	define XtNrepeatDelay "repeatDelay"
#endif
#ifndef XtNrepeatInterval
#	define XtNrepeatInterval "repeatInterval"
#endif
#ifndef XtCRepeatDelay
#	define XtCRepeatDelay "RepeatDelay"
#endif
#ifndef XtCRepeatInterval
#	define XtCRepeatInterval "RepeatInterval"
#endif

#endif /* _XO_BUTTON_H_ */
