#ifndef _XO_COMPBASE_H_
#define _XO_COMPBASE_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XtComposite_h
#include <X11/Composite.h>
#endif


#ifndef _XO_XO_H_
#include <X11/Xo/Xo.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *			       *** Composite ***
 * children	     ReadOnly		WidgetList	NULL
 * insertPosition    InsertPosition	XtOrderProc	NULL
 * numChildren	     ReadOnly		Cardinal	NULL
 *			       *** CompBase ***
 * borderClass	     Class		WidgetClass	"None"
 * borderWidget	     BorderWidget	Widget		NULL
 * doLayout	     DoLayout		Boolean		(caddr_t) True
 * traverse	     Traverse		XtCallbackList	NULL
 */
extern WidgetClass		xoCompBaseWidgetClass;

typedef struct _XoCompBaseClassRec *XoCompBaseWidgetClass;
typedef struct _XoCompBaseRec	*XoCompBaseWidget;

#ifndef XtNborderClass
#	define XtNborderClass "borderClass"
#endif
#ifndef XtNborderWidget
#	define XtNborderWidget "borderWidget"
#endif
#ifndef XtNdoLayout
#	define XtNdoLayout "doLayout"
#endif
#ifndef XtNtraverse
#	define XtNtraverse "traverse"
#endif
#ifndef XtCClass
#	define XtCClass "Class"
#endif
#ifndef XtCBorderWidget
#	define XtCBorderWidget "BorderWidget"
#endif
#ifndef XtCDoLayout
#	define XtCDoLayout "DoLayout"
#endif
#ifndef XtCTraverse
#	define XtCTraverse "Traverse"
#endif
#ifndef XtRObjectClass
#	define XtRObjectClass "ObjectClass"
#endif
#ifndef XtRPointer
#	define XtRPointer "Pointer"
#endif

#endif /* _XO_COMPBASE_H_ */
