#ifndef _XO_MENU_H_
#define _XO_MENU_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_COLUMN_H_
#include <X11/Xo/Column.h>
#endif


XoProto (extern Widget, XoMenuMake, (String name, WidgetClass class, Widget parent, Arg *args, Cardinal cnt));
XoProto (extern Widget, XoMenuMakeUtil, (String base, Widget parent, Arg *args, Cardinal cnt));

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *			       *** Composite ***
 * children	     ReadOnly		WidgetList	NULL
 * insertPosition    InsertPosition	XtOrderProc	NULL
 * numChildren	     ReadOnly		Cardinal	NULL
 *			      *** Constraint ***
 *			       *** ConsBase ***
 * borderClass	     Class		WidgetClass	"None"
 * borderWidget	     BorderWidget	Widget		NULL
 * doLayout	     DoLayout		Boolean		(caddr_t) True
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * traverse	     Traverse		XtCallbackList	NULL
 *				*** Column ***
 * vspace	     Space		Dimension	(XtPointer) 5
 *				 *** Menu ***
 * callbackMenu	     CallbackMenu	XtCallbackList	NULL
 * popup	     Popup		Widget		NULL
 */
/*
 * Constraint Parameters:
 *
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 *			       *** Composite ***
 *			      *** Constraint ***
 *			       *** ConsBase ***
 * sortOrder	     SortOrder		int		0
 *				*** Column ***
 * shrink	     Shrink		int		(XtPointer) 1
 * stretch	     Stretch		int		(XtPointer) 1
 *				 *** Menu ***
 */
extern WidgetClass		xoMenuWidgetClass;

typedef struct _XoMenuClassRec	*XoMenuWidgetClass;
typedef struct _XoMenuRec	*XoMenuWidget;

#ifndef XtNcallbackMenu
#	define XtNcallbackMenu "callbackMenu"
#endif
#ifndef XtNpopup
#	define XtNpopup "popup"
#endif
#ifndef XtCCallbackMenu
#	define XtCCallbackMenu "CallbackMenu"
#endif
#ifndef XtCPopup
#	define XtCPopup "Popup"
#endif
#ifndef XtRWidget
#	define XtRWidget "Widget"
#endif

#endif /* _XO_MENU_H_ */
