#ifndef _XO_MENUBARBUTTONP_H_
#define _XO_MENUBARBUTTONP_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_MENUBUTTONP_H_
#include <X11/Xo/MenuBP.h>
#endif
#ifndef _XO_MENUBARBUTTON_H_
#include <X11/Xo/MenuBarB.h>
#endif

/*
 * MenuBarButton's class record.
 */
typedef struct
{
	int		filler;		/* keep compiler happy */
} XoMenuBarButtonClassPart;
/*
 * Full class record for MenuBarButton widget.
 */
typedef struct _XoMenuBarButtonClassRec
{
	CoreClassPart	core_class;	/* the Core class variables */
	XoSimpleClassPart simple_class;	/* the Simple class variables */
	XoLabelClassPart label_class;	/* the Label class variables */
	XoButtonClassPart button_class;	/* the Button class variables */
	XoMenuButtonClassPart menu_button_class; /* the MenuButton class variables */
	XoMenuBarButtonClassPart menu_bar_button_class; /* the MenuBarButton class variables */
} XoMenuBarButtonClassRec;

extern XoMenuBarButtonClassRec	xoMenuBarButtonClassRec;

/*
 * MenuBarButton's instance record.
 */
typedef struct
{
	Boolean		enable_popup;	/* if popup are enabled */
} XoMenuBarButtonPart;

/*
 * MenuBarButton's complete instance record.
 */
typedef struct _XoMenuBarButtonRec
{
	CorePart	core;		/* the Core instance variables */
	XoSimplePart	simple;		/* the Simple instance variables */
	XoLabelPart	label;		/* the Label instance variables */
	XoButtonPart	button;		/* the Button instance variables */
	XoMenuButtonPart menu_button;	/* the MenuButton instance variables */
	XoMenuBarButtonPart menu_bar_button; /* the MenuBarButton instance variables */
} XoMenuBarButtonRec;

#endif /* _XO_MENUBARBUTTONP_H_ */
