#ifndef _XO_MENUBUTTON_H_
#define _XO_MENUBUTTON_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_BUTTON_H_
#include <X11/Xo/Button.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** Simple ***
 * backingStore	     BackingStore	int		"NotUseful"
 * borderClass	     Class		WidgetClass	"None"
 * borderWidget	     BorderWidget	Widget		NULL
 * cursor	     Cursor		Cursor		"cross"
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritSet	     InheritSet		XtCallbackList	NULL
 * traverseAccept    TraverseAccept	Boolean		(XtPointer) True
 *				 *** Label ***
 * drawClass	     Class		WidgetClass	"ObjText"
 * drawWidget	     DrawWidget		Widget		NULL
 * flagClass	     Class		WidgetClass	NULL
 * flagJustify	     Justify		XoJustify	"Right"
 * flagWidget	     FlagWidget		Widget		NULL
 * gravity	     Gravity		XoGravity	"Center"
 * resizeDraw	     ResizeDraw		Boolean		False
 *				*** Button ***
 * callback	     Callback		XtCallbackList	NULL
 * repeatDelay	     RepeatDelay	int		(XtPointer) 300
 * repeatInterval    RepeatInterval	int		(XtPointer) 100
 *			      *** MenuButton ***
 * direction	     Direction		XoPointing	"Right"
 * moveDelta	     Delta		int		(caddr_t) 5
 * subMenu	     SubMenu		Widget		(caddr_t) NULL
 */
extern WidgetClass		xoMenuButtonWidgetClass;

typedef struct _XoMenuButtonClassRec *XoMenuButtonWidgetClass;
typedef struct _XoMenuButtonRec	*XoMenuButtonWidget;

#ifndef XtNdirection
#	define XtNdirection "direction"
#endif
#ifndef XtNmoveDelta
#	define XtNmoveDelta "moveDelta"
#endif
#ifndef XtNsubMenu
#	define XtNsubMenu "subMenu"
#endif
#ifndef XtCDirection
#	define XtCDirection "Direction"
#endif
#ifndef XtCDelta
#	define XtCDelta "Delta"
#endif
#ifndef XtCSubMenu
#	define XtCSubMenu "SubMenu"
#endif
#ifndef XtRPointing
#	define XtRPointing "Pointing"
#endif
#ifndef XtRWidget
#	define XtRWidget "Widget"
#endif

#endif /* _XO_MENUBUTTON_H_ */
