#ifndef _XO_MENUSHELL_H_
#define _XO_MENUSHELL_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XtShell_h
#include <X11/Shell.h>
#endif

#ifndef _XO_XO_H_
#include <X11/Xo/Xo.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *			       *** Composite ***
 * children	     ReadOnly		WidgetList	NULL
 * insertPosition    InsertPosition	XtOrderProc	NULL
 * numChildren	     ReadOnly		Cardinal	NULL
 *				 *** Shell ***
 * allowShellResize  AllowShellResize	Boolean		False
 * createPopupChildProc CreatePopupChildProc XtCreateChildPopupChildProc NULL
 * geometry	     Geometry		String		NULL
 * overrideRedirect  OverrideRedirect	Boolean		False
 * popdownCallback   Callback		XtCallbackList	NULL
 * popupCallback     Callback		XtCallbackList	NULL
 * saveUnder	     SaveUnder		Boolean		False
 * visual	     Visual		Visual *	(XtPointer) CopyFromParent
 *			     *** OverrideShell ***
 *			       *** MenuShell ***
 * borderClass	     Class		WidgetClass	"DefaultBorder"
 * borderWidget	     BorderWidget	Widget		NULL
 * callbackMenu	     CallbackMenu	XtCallbackList	NULL
 * current	     Current		Widget		NULL
 * popupStarter	     PopupStarter	Widget		NULL
 * start	     Start		Boolean		False
 * traverse	     Traverse		XtCallbackList	NULL
 */
extern WidgetClass		xoMenuShellWidgetClass;

typedef struct _XoMenuShellClassRec *XoMenuShellWidgetClass;
typedef struct _XoMenuShellRec	*XoMenuShellWidget;

#ifndef XtNborderClass
#	define XtNborderClass "borderClass"
#endif
#ifndef XtNborderWidget
#	define XtNborderWidget "borderWidget"
#endif
#ifndef XtNcallbackMenu
#	define XtNcallbackMenu "callbackMenu"
#endif
#ifndef XtNcurrent
#	define XtNcurrent "current"
#endif
#ifndef XtNpopupStarter
#	define XtNpopupStarter "popupStarter"
#endif
#ifndef XtNstart
#	define XtNstart "start"
#endif
#ifndef XtNtraverse
#	define XtNtraverse "traverse"
#endif
#ifndef XtCClass
#	define XtCClass "Class"
#endif
#ifndef XtCBorderWidget
#	define XtCBorderWidget "BorderWidget"
#endif
#ifndef XtCCallbackMenu
#	define XtCCallbackMenu "CallbackMenu"
#endif
#ifndef XtCCurrent
#	define XtCCurrent "Current"
#endif
#ifndef XtCPopupStarter
#	define XtCPopupStarter "PopupStarter"
#endif
#ifndef XtCStart
#	define XtCStart "Start"
#endif
#ifndef XtCTraverse
#	define XtCTraverse "Traverse"
#endif
#ifndef XtRObjectClass
#	define XtRObjectClass "ObjectClass"
#endif
#ifndef XtRPointer
#	define XtRPointer "Pointer"
#endif
#ifndef XtRWidget
#	define XtRWidget "Widget"
#endif

#endif /* _XO_MENUSHELL_H_ */
