#ifndef _XO_OBJ2DBORDER_H_
#define _XO_OBJ2DBORDER_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJBORDER_H_
#include <X11/Xo/ObjBorder.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				*** Object ***
 * destroyCallback   Callback		XtCallbackList	NULL
 *				*** RectObj ***
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * borderWidth	     BorderWidth	Dimension	0
 * height	     Height		Dimension	0
 * sensitive	     Sensitive		Boolean		True
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** ObjDraw ***
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritResources  QuarkSortedList	XrmQuark *	NULL
 * insensitiveStipple Shading		XoShading	"gray4"
 * noDraw	     DoDraw		Boolean		"False"
 *			       *** ObjBorder ***
 * clearInverted     ClearInverted	Boolean		False
 * inverted	     Inverted		Boolean		False
 *			      *** Obj2dBorder ***
 * partWidth	     PartWidth		int		(caddr_t) 2
 */
extern WidgetClass		xoObj2dBorderWidgetClass;

typedef struct _XoObj2dBorderClassRec *XoObj2dBorderWidgetClass;
typedef struct _XoObj2dBorderRec *XoObj2dBorderWidget;

#ifndef XtNpartWidth
#	define XtNpartWidth "partWidth"
#endif
#ifndef XtCPartWidth
#	define XtCPartWidth "PartWidth"
#endif
#ifndef XtRInt
#	define XtRInt "Int"
#endif

#endif /* _XO_OBJ2DBORDER_H_ */
