#ifndef _XO_OBJ2DBORDERREC_H_
#define _XO_OBJ2DBORDERREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoObj2dBorderWidget, obj_2d_border.field)
static XtResource resources[] = {
	{XtNinheritResources, XtCQuarkSortedList, XtRSortedQuarkList, sizeof(XrmQuark *),
	    XtOffset(XoObj2dBorderWidget,obj_draw.inherit_resources), XtRString, "foreground, background, sensitive, ancestorSensitive, clearInverted, insensitiveColor"},
	{XtNborderWidth, XtCBorderWidth, XtRDimension, sizeof(Dimension),
	    XtOffset(XoObj2dBorderWidget,rectangle.border_width), XtRImmediate, (XtPointer) 2},
	{XtNpartWidth, XtCPartWidth, XtRInt, sizeof(int),
	    offset(part_width), XtRImmediate, (caddr_t) 2},
};
#undef offset
XoProto (static void,	Destroy, (Widget gw));
XoProto (static void,	Redisplay, (Widget widget, XEvent* event, 
				    Region region));
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoObj2dBorderClassRec xoObj2dBorderClassRec = {
	{ /* RectObj */
		(WidgetClass) &xoObjBorderClassRec, /* superclass */
		"Obj2dBorder",			/* class_name */
		sizeof(XoObj2dBorderRec),	/* widget_size */
		NULL,				/* class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* RectObj.initialize */
		NULL,				/* initialize_hook */
		(XtProc) NULL,			/* rect1 */
		(XtPointer) NULL,		/* rect2 */
		0,				/* rect3 */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		False,				/* rect4 */
		False,				/* rect5 */
		False,				/* rect6 */
		False,				/* rect7 */
		Destroy,			/* RectObj.destroy */
		XtInheritResize,		/* resize */
		Redisplay,			/* RectObj.expose */
		SetValues,			/* RectObj.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		(XtProc) NULL,			/* rect9 */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* rect10 */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* rect11 */
		NULL,				/* extension */
	},
	{ /* ObjDraw */
		NULL,				/* print */
	},
	{ /* ObjBorder */
		0,				/* dummy */
	},
	{ /* Obj2dBorder */
		NULL,				/* extension */
	},
};
WidgetClass xoObj2dBorderWidgetClass = (WidgetClass) &xoObj2dBorderClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoObjBorderClassRec
#define MyClass xoObj2dBorderClassRec
#define ThisSuperClass(gw) (*(XoObj2dBorderClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoObj2dBorderClassRec *)XtClass(gw))

#endif /* _XO_OBJ2DBORDERREC_H_ */
