#ifndef _XO_OBJ3DBORDER_H_
#define _XO_OBJ3DBORDER_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJBORDER_H_
#include <X11/Xo/ObjBorder.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				*** Object ***
 * destroyCallback   Callback		XtCallbackList	NULL
 *				*** RectObj ***
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * borderWidth	     BorderWidth	Dimension	0
 * height	     Height		Dimension	0
 * sensitive	     Sensitive		Boolean		True
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** ObjDraw ***
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritResources  QuarkSortedList	XrmQuark *	NULL
 * insensitiveStipple Shading		XoShading	"gray4"
 * noDraw	     DoDraw		Boolean		"False"
 *			       *** ObjBorder ***
 * clearInverted     ClearInverted	Boolean		False
 * inverted	     Inverted		Boolean		False
 *			      *** Obj3dBorder ***
 * bevelHighlight    BevelHighlight	Pixel		"gray85"
 * bevelShadow	     BevelShadow	Pixel		"gray65"
 * defBackground     Background		Pixel		"grey80"
 */
extern WidgetClass		xoObj3dBorderWidgetClass;

typedef struct _XoObj3dBorderClassRec *XoObj3dBorderWidgetClass;
typedef struct _XoObj3dBorderRec *XoObj3dBorderWidget;

#ifndef XtNbevelHighlight
#	define XtNbevelHighlight "bevelHighlight"
#endif
#ifndef XtNbevelShadow
#	define XtNbevelShadow "bevelShadow"
#endif
#ifndef XtNdefBackground
#	define XtNdefBackground "defBackground"
#endif
#ifndef XtCBevelHighlight
#	define XtCBevelHighlight "BevelHighlight"
#endif
#ifndef XtCBevelShadow
#	define XtCBevelShadow "BevelShadow"
#endif
#ifndef XtCBackground
#	define XtCBackground "Background"
#endif

#endif /* _XO_OBJ3DBORDER_H_ */
