#ifndef _XO_OBJ3DBORDERREC_H_
#define _XO_OBJ3DBORDERREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoObj3dBorderWidget, obj_3d_border.field)
static XtResource resources[] = {
	{XtNinheritResources, XtCQuarkSortedList, XtRSortedQuarkList, sizeof(XrmQuark *),
	    XtOffset(XoObj3dBorderWidget,obj_draw.inherit_resources), XtRString, "foreground, bevelShadow, bevelHighlight, sensitive, ancestorSensitive, clearInverted, insensitiveColor, background"},
	{XtNdefBackground, XtCBackground, XtRPixel, sizeof(Pixel),
	    offset(def_background), XtRString, "grey80"},
	{XtNborderWidth, XtCBorderWidth, XtRDimension, sizeof(Dimension),
	    XtOffset(XoObj3dBorderWidget,rectangle.border_width), XtRImmediate, (XtPointer) 2},
	{XtNbevelHighlight, XtCBevelHighlight, XtRPixel, sizeof(Pixel),
	    offset(bevel_highlight), XtRString, "gray85"},
	{XtNbevelShadow, XtCBevelShadow, XtRPixel, sizeof(Pixel),
	    offset(bevel_shadow), XtRString, "gray65"},
};
#undef offset
XoProto (static void,	Destroy, (Widget gw));
XoProto (static void,	Redisplay, (Widget widget, XEvent* event, 
				    Region region));
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoObj3dBorderClassRec xoObj3dBorderClassRec = {
	{ /* RectObj */
		(WidgetClass) &xoObjBorderClassRec, /* superclass */
		"Obj3dBorder",			/* class_name */
		sizeof(XoObj3dBorderRec),	/* widget_size */
		NULL,				/* class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* RectObj.initialize */
		NULL,				/* initialize_hook */
		(XtProc) NULL,			/* rect1 */
		(XtPointer) NULL,		/* rect2 */
		0,				/* rect3 */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		False,				/* rect4 */
		False,				/* rect5 */
		False,				/* rect6 */
		False,				/* rect7 */
		Destroy,			/* RectObj.destroy */
		XtInheritResize,		/* resize */
		Redisplay,			/* RectObj.expose */
		SetValues,			/* RectObj.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		(XtProc) NULL,			/* rect9 */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* rect10 */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* rect11 */
		NULL,				/* extension */
	},
	{ /* ObjDraw */
		NULL,				/* print */
	},
	{ /* ObjBorder */
		0,				/* dummy */
	},
	{ /* Obj3dBorder */
		NULL,				/* extension */
	},
};
WidgetClass xoObj3dBorderWidgetClass = (WidgetClass) &xoObj3dBorderClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoObjBorderClassRec
#define MyClass xoObj3dBorderClassRec
#define ThisSuperClass(gw) (*(XoObj3dBorderClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoObj3dBorderClassRec *)XtClass(gw))

#endif /* _XO_OBJ3DBORDERREC_H_ */
