#ifndef _XO_OBJARROWREC_H_
#define _XO_OBJARROWREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoObjArrowWidget, obj_arrow.field)
static XtResource resources[] = {
	{XtNinheritResources, XtCQuarkSortedList, XtRSortedQuarkList, sizeof(XrmQuark *),
	    XtOffset(XoObjArrowWidget,obj_draw.inherit_resources), XtRString, "foreground, background, sensitive, ancestorSensitive, insensitiveColor, direction"},
	{XtNdirection, XtCDirection, XtRPointing, sizeof(XoPointing),
	    offset(direction), XtRString, "Left"},
};
#undef offset
XoProto (static void,	Destroy, (Widget gw));
XoProto (static void,	Redisplay, (Widget widget, XEvent* event, 
				    Region region));
XoProto (static void,	Initialize, (Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoObjArrowClassRec xoObjArrowClassRec = {
	{ /* RectObj */
		(WidgetClass) &xoObjDrawClassRec, /* superclass */
		"ObjArrow",			/* class_name */
		sizeof(XoObjArrowRec),		/* widget_size */
		NULL,				/* class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		Initialize,			/* RectObj.initialize */
		NULL,				/* initialize_hook */
		(XtProc) NULL,			/* rect1 */
		(XtPointer) NULL,		/* rect2 */
		0,				/* rect3 */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		False,				/* rect4 */
		False,				/* rect5 */
		False,				/* rect6 */
		False,				/* rect7 */
		Destroy,			/* RectObj.destroy */
		XtInheritResize,		/* resize */
		Redisplay,			/* RectObj.expose */
		SetValues,			/* RectObj.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		(XtProc) NULL,			/* rect9 */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* rect10 */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* rect11 */
		NULL,				/* extension */
	},
	{ /* ObjDraw */
		NULL,				/* print */
	},
	{ /* ObjArrow */
		NULL,				/* extension */
	},
};
WidgetClass xoObjArrowWidgetClass = (WidgetClass) &xoObjArrowClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoObjDrawClassRec
#define MyClass xoObjArrowClassRec
#define ThisSuperClass(gw) (*(XoObjArrowClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoObjArrowClassRec *)XtClass(gw))

#endif /* _XO_OBJARROWREC_H_ */
