#ifndef _XO_OBJBORDERREC_H_
#define _XO_OBJBORDERREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoObjBorderWidget, obj_border.field)
static XtResource resources[] = {
	{XtNclearInverted, XtCClearInverted, XtRBoolean, sizeof(Boolean),
	    offset(clear_inverted), XtRImmediate, False},
	{XtNinverted, XtCInverted, XtRBoolean, sizeof(Boolean),
	    offset(inverted), XtRString, False},
};
#undef offset
XoProto (static Boolean, SetValues, (Widget old, Widget request, Widget new, 
				     ArgList arglist, Cardinal* num_args));
XoObjBorderClassRec xoObjBorderClassRec = {
	{ /* RectObj */
		(WidgetClass) &xoObjDrawClassRec, /* superclass */
		"ObjBorder",			/* class_name */
		sizeof(XoObjBorderRec),		/* widget_size */
		NULL,				/* class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		NULL,				/* initialize */
		NULL,				/* initialize_hook */
		(XtProc) NULL,			/* rect1 */
		(XtPointer) NULL,		/* rect2 */
		0,				/* rect3 */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		False,				/* rect4 */
		False,				/* rect5 */
		False,				/* rect6 */
		False,				/* rect7 */
		NULL,				/* destroy */
		XtInheritResize,		/* resize */
		XtInheritExpose,		/* expose */
		SetValues,			/* RectObj.set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		(XtProc) NULL,			/* rect9 */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* rect10 */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* rect11 */
		NULL,				/* extension */
	},
	{ /* ObjDraw */
		NULL,				/* print */
	},
	{ /* ObjBorder */
		0,				/* dummy */
	},
};
WidgetClass xoObjBorderWidgetClass = (WidgetClass) &xoObjBorderClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoObjDrawClassRec
#define MyClass xoObjBorderClassRec
#define ThisSuperClass(gw) (*(XoObjBorderClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoObjBorderClassRec *)XtClass(gw))

#endif /* _XO_OBJBORDERREC_H_ */
