#ifndef _XO_OBJBORDERP_H_
#define _XO_OBJBORDERP_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJDRAWP_H_
#include <X11/Xo/ObjDrawP.h>
#endif
#ifndef _XO_OBJBORDER_H_
#include <X11/Xo/ObjBorder.h>
#endif

/*
 * ObjBorder's class record.
 */
typedef struct
{
	int		dummy;		/* keep compiler happy */
} XoObjBorderClassPart;
/*
 * Full class record for ObjBorder widget.
 */
typedef struct _XoObjBorderClassRec
{
	RectObjClassPart rect_class;	/* the RectObj class variables */
	XoObjDrawClassPart obj_draw_class; /* the ObjDraw class variables */
	XoObjBorderClassPart obj_border_class; /* the ObjBorder class variables */
} XoObjBorderClassRec;

extern XoObjBorderClassRec	xoObjBorderClassRec;

/*
 * ObjBorder's instance record.
 */
typedef struct
{
	Boolean		clear_inverted;	/* clear when inverted */
	Boolean		inverted;	/* draw edges depressed */
} XoObjBorderPart;

/*
 * ObjBorder's complete instance record.
 */
typedef struct _XoObjBorderRec
{
	ObjectPart	object;		/* the Object instance variables */
	RectObjPart	rectangle;	/* the RectObj instance variables */
	XoObjDrawPart	obj_draw;	/* the ObjDraw instance variables */
	XoObjBorderPart	obj_border;	/* the ObjBorder instance variables */
} XoObjBorderRec;

#endif /* _XO_OBJBORDERP_H_ */
