#ifndef _XO_OBJLABEL_H_
#define _XO_OBJLABEL_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJDRAW_H_
#include <X11/Xo/ObjDraw.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				*** Object ***
 * destroyCallback   Callback		XtCallbackList	NULL
 *				*** RectObj ***
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * borderWidth	     BorderWidth	Dimension	0
 * height	     Height		Dimension	0
 * sensitive	     Sensitive		Boolean		True
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** ObjDraw ***
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritResources  QuarkSortedList	XrmQuark *	NULL
 * insensitiveStipple Shading		XoShading	"gray4"
 * noDraw	     DoDraw		Boolean		"False"
 *			       *** ObjLabel ***
 * defaultLabel	     DefaultLabel	String		NULL
 * font		     Font		XFontStruct *	"*-times-bold-r-*-*-140-*"
 * justify	     Justify		XoJustify	"Left"
 * label	     Label		String		NULL
 */
extern WidgetClass		xoObjLabelWidgetClass;

typedef struct _XoObjLabelClassRec *XoObjLabelWidgetClass;
typedef struct _XoObjLabelRec	*XoObjLabelWidget;

#ifndef XtNdefaultLabel
#	define XtNdefaultLabel "defaultLabel"
#endif
#ifndef XtNfont
#	define XtNfont "font"
#endif
#ifndef XtNjustify
#	define XtNjustify "justify"
#endif
#ifndef XtNlabel
#	define XtNlabel "label"
#endif
#ifndef XtCDefaultLabel
#	define XtCDefaultLabel "DefaultLabel"
#endif
#ifndef XtCFont
#	define XtCFont "Font"
#endif
#ifndef XtCJustify
#	define XtCJustify "Justify"
#endif
#ifndef XtCLabel
#	define XtCLabel "Label"
#endif
#ifndef XtRString
#	define XtRString "String"
#endif
#ifndef XtRFontStruct
#	define XtRFontStruct "FontStruct"
#endif
#ifndef XtRJustify
#	define XtRJustify "Justify"
#endif

#endif /* _XO_OBJLABEL_H_ */
