#ifndef _XO_OBJPIXMAPREC_H_
#define _XO_OBJPIXMAPREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoObjPixmapWidget, obj_pixmap.field)
static XtResource resources[] = {
	{XtNtile, XtCTile, XtRBoolean, sizeof(Boolean),
	    offset(tile), XtRImmediate, False},
	{XtNscale, XtCScale, XtRBoolean, sizeof(Boolean),
	    offset(scale), XtRImmediate, False},
	{XtNpixmap, XtCPixmap, XtRPixmap, sizeof(Pixmap),
	    offset(pixmap), XtRImmediate, NULL},
};
#undef offset
XoObjPixmapClassRec xoObjPixmapClassRec = {
	{ /* RectObj */
		(WidgetClass) &xoObjDrawClassRec, /* superclass */
		"ObjPixmap",			/* class_name */
		sizeof(XoObjPixmapRec),		/* widget_size */
		NULL,				/* class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		NULL,				/* initialize */
		NULL,				/* initialize_hook */
		(XtProc) NULL,			/* rect1 */
		(XtPointer) NULL,		/* rect2 */
		0,				/* rect3 */
		resources,			/* resources */
		XtNumber(resources),		/* num_resources */
		NULLQUARK,			/* xrm_class */
		False,				/* rect4 */
		False,				/* rect5 */
		False,				/* rect6 */
		False,				/* rect7 */
		NULL,				/* destroy */
		XtInheritResize,		/* resize */
		XtInheritExpose,		/* expose */
		NULL,				/* set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		(XtProc) NULL,			/* rect9 */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* rect10 */
		XtInheritQueryGeometry,		/* query_geometry */
		NULL,				/* rect11 */
		NULL,				/* extension */
	},
	{ /* ObjDraw */
		NULL,				/* print */
	},
};
WidgetClass xoObjPixmapWidgetClass = (WidgetClass) &xoObjPixmapClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoObjDrawClassRec
#define MyClass xoObjPixmapClassRec
#define ThisSuperClass(gw) (*(XoObjPixmapClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoObjPixmapClassRec *)XtClass(gw))

#endif /* _XO_OBJPIXMAPREC_H_ */
