#ifndef _XO_OBJPIXMAP_H_
#define _XO_OBJPIXMAP_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJDRAW_H_
#include <X11/Xo/ObjDraw.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				*** Object ***
 * destroyCallback   Callback		XtCallbackList	NULL
 *				*** RectObj ***
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * borderWidth	     BorderWidth	Dimension	0
 * height	     Height		Dimension	0
 * sensitive	     Sensitive		Boolean		True
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** ObjDraw ***
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritResources  QuarkSortedList	XrmQuark *	NULL
 * insensitiveStipple Shading		XoShading	"gray4"
 * noDraw	     DoDraw		Boolean		"False"
 *			       *** ObjPixmap ***
 * pixmap	     Pixmap		Pixmap		NULL
 * scale	     Scale		Boolean		False
 * tile		     Tile		Boolean		False
 */
extern WidgetClass		xoObjPixmapWidgetClass;

typedef struct _XoObjPixmapClassRec *XoObjPixmapWidgetClass;
typedef struct _XoObjPixmapRec	*XoObjPixmapWidget;

#ifndef XtNpixmap
#	define XtNpixmap "pixmap"
#endif
#ifndef XtNscale
#	define XtNscale "scale"
#endif
#ifndef XtNtile
#	define XtNtile "tile"
#endif
#ifndef XtCPixmap
#	define XtCPixmap "Pixmap"
#endif
#ifndef XtCScale
#	define XtCScale "Scale"
#endif
#ifndef XtCTile
#	define XtCTile "Tile"
#endif
#ifndef XtRPixmap
#	define XtRPixmap "Pixmap"
#endif

#endif /* _XO_OBJPIXMAP_H_ */
