#ifndef _XO_OBJPIXMAPP_H_
#define _XO_OBJPIXMAPP_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_OBJDRAWP_H_
#include <X11/Xo/ObjDrawP.h>
#endif
#ifndef _XO_OBJPIXMAP_H_
#include <X11/Xo/ObjPixmap.h>
#endif

/*
 * ObjPixmap's class record.
 */
typedef struct
{
	int		dummy;		/* keep compiler happy */
} XoObjPixmapClassPart;
/*
 * Full class record for ObjPixmap widget.
 */
typedef struct _XoObjPixmapClassRec
{
	RectObjClassPart rect_class;	/* the RectObj class variables */
	XoObjDrawClassPart obj_draw_class; /* the ObjDraw class variables */
	XoObjPixmapClassPart obj_pixmap_class; /* the ObjPixmap class variables */
} XoObjPixmapClassRec;

extern XoObjPixmapClassRec	xoObjPixmapClassRec;

/*
 * ObjPixmap's instance record.
 */
typedef struct
{
	Boolean		tile;		/* tile pixmap */
	Boolean		scale;		/* scale object to widget size */
	Pixmap		pixmap;		/* picture to draw */
} XoObjPixmapPart;

/*
 * ObjPixmap's complete instance record.
 */
typedef struct _XoObjPixmapRec
{
	ObjectPart	object;		/* the Object instance variables */
	RectObjPart	rectangle;	/* the RectObj instance variables */
	XoObjDrawPart	obj_draw;	/* the ObjDraw instance variables */
	XoObjPixmapPart	obj_pixmap;	/* the ObjPixmap instance variables */
} XoObjPixmapRec;

#endif /* _XO_OBJPIXMAPP_H_ */
