#ifndef _XO_ROWREC_H_
#define _XO_ROWREC_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#define ACTIONS NULL
#define ACTIONNUM 0
#define offset(field) XtOffset(XoRowWidget, row.field)
#undef offset
XoProto (static void,	ChangeManaged, (Widget gw));
XoProto (static XtGeometryResult,
			GeometryManager, (Widget widget, 
					  XtWidgetGeometry* request, 
					  XtWidgetGeometry* reply));
XoProto (static XtGeometryResult,
			QueryGeometry, (Widget widget, 
					XtWidgetGeometry* request, 
					XtWidgetGeometry* reply));
XoProto (static void,	Resize, (Widget gw));
XoRowClassRec xoRowClassRec = {
	{ /* Core */
		(WidgetClass) &xoConsBaseClassRec, /* superclass */
		"Row",				/* class_name */
		sizeof(XoRowRec),		/* widget_size */
		_XoClassInit,			/* Core.class_initialize */
		NULL,				/* class_part_initialize */
		False,				/* class_inited */
		NULL,				/* initialize */
		NULL,				/* initialize_hook */
		XtInheritRealize,		/* realize */
		ACTIONS,			/* actions */
		ACTIONNUM,			/* num_actions */
		NULL,				/* Core.resources */
		0,				/* Core.num_resources */
		NULLQUARK,			/* xrm_class */
		True,				/* compress_motion */
		True,				/* compress_exposure */
		True,				/* compress_enterleave */
		False,				/* visible_interest */
		NULL,				/* destroy */
		Resize,				/* Core.resize */
		XtInheritExpose,		/* expose */
		NULL,				/* set_values */
		NULL,				/* set_values_hook */
		XtInheritSetValuesAlmost,	/* set_values_almost */
		NULL,				/* get_values_hook */
		XtInheritAcceptFocus,		/* accept_focus */
		XtVersion,			/* version */
		NULL,				/* callback_private */
		NULL,				/* tm_table */
		QueryGeometry,			/* Core.query_geometry */
		NULL,				/* display_accelerator */
		NULL,				/* extension */
	},
	{ /* Composite */
		GeometryManager,		/* Composite.geometry_manager */
		ChangeManaged,			/* Composite.change_managed */
		XtInheritInsertChild,		/* insert_child */
		XtInheritDeleteChild,		/* delete_child */
		_XoConsExtensionPtr,		/* Composite.extension */
	},
	{ /* Constraint */
		NULL,				/* Constraint.resources */
		0,				/* Constraint.num_resources */
		sizeof(XoRowConstraintRec),	/* constraint_size */
		NULL,				/* initialize */
		NULL,				/* destroy */
		NULL,				/* set_values */
		NULL,				/* extension */
	},
	{ /* ConsBase */
		XtInheritTraversalProc,		/* traverse */
		XtInheritSortProc,		/* sort */
	},
	{ /* Row */
		0,				/* filler */
	},
};
WidgetClass xoRowWidgetClass = (WidgetClass) &xoRowClassRec;

/*
 * The following make it easier to access class methods.
 */
#define MySuperClass xoConsBaseClassRec
#define MyClass xoRowClassRec
#define ThisSuperClass(gw) (*(XoRowClassRec *)XtSuperClass(gw))
#define ThisClass(gw) (*(XoRowClassRec *)XtClass(gw))

#endif /* _XO_ROWREC_H_ */
