#ifndef _XO_SIMPLE_H_
#define _XO_SIMPLE_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XtCore_h
#include <X11/Core.h>
#endif

#ifndef _XO_XO_H_
#include <X11/Xo/Xo.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *				*** Simple ***
 * backingStore	     BackingStore	int		"NotUseful"
 * borderClass	     Class		WidgetClass	"None"
 * borderWidget	     BorderWidget	Widget		NULL
 * cursor	     Cursor		Cursor		"cross"
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * inheritSet	     InheritSet		XtCallbackList	NULL
 * traverseAccept    TraverseAccept	Boolean		(XtPointer) True
 */
extern WidgetClass		xoSimpleWidgetClass;

typedef struct _XoSimpleClassRec *XoSimpleWidgetClass;
typedef struct _XoSimpleRec	*XoSimpleWidget;

#ifndef XtNbackingStore
#	define XtNbackingStore "backingStore"
#endif
#ifndef XtNborderClass
#	define XtNborderClass "borderClass"
#endif
#ifndef XtNborderWidget
#	define XtNborderWidget "borderWidget"
#endif
#ifndef XtNcursor
#	define XtNcursor "cursor"
#endif
#ifndef XtNforeground
#	define XtNforeground "foreground"
#endif
#ifndef XtNinheritSet
#	define XtNinheritSet "inheritSet"
#endif
#ifndef XtNtraverseAccept
#	define XtNtraverseAccept "traverseAccept"
#endif
#ifndef XtCBackingStore
#	define XtCBackingStore "BackingStore"
#endif
#ifndef XtCClass
#	define XtCClass "Class"
#endif
#ifndef XtCBorderWidget
#	define XtCBorderWidget "BorderWidget"
#endif
#ifndef XtCCursor
#	define XtCCursor "Cursor"
#endif
#ifndef XtCForeground
#	define XtCForeground "Foreground"
#endif
#ifndef XtCInheritSet
#	define XtCInheritSet "InheritSet"
#endif
#ifndef XtCTraverseAccept
#	define XtCTraverseAccept "TraverseAccept"
#endif
#ifndef XtRBackingStore
#	define XtRBackingStore "BackingStore"
#endif
#ifndef XtRObjectClass
#	define XtRObjectClass "ObjectClass"
#endif
#ifndef XtRPointer
#	define XtRPointer "Pointer"
#endif
#ifndef XtRCursor
#	define XtRCursor "Cursor"
#endif
#define XtRBackingStore "BackingStore"


#endif /* _XO_SIMPLE_H_ */
