#ifndef _XO_VPANE_H_
#define _XO_VPANE_H_
/*
 * $Id:$
 *
 * $Log:$
 */
#ifndef _XO_COLUMN_H_
#include <X11/Xo/Column.h>
#endif

/*
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 * accelerators	     Accelerators	XtTranslations	NULL
 * ancestorSensitive Sensitive		Boolean		XtCopyAncestorSensitive
 * background	     Background		Pixel		XtDefaultBackground
 * backgroundPixmap  Pixmap		Pixmap		XtUnspecifiedpixmap
 * borderColor	     BorderColor	Pixel		XtDefaultForeground
 * borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 * borderWidth	     BorderWidth	Dimension	0
 * colormap	     Colormap		Colormap	XtCopyFromParent
 * depth	     Depth		Cardinal	XtCopyFromParent
 * destroyCallback   Callback		XtCallbackList	NULL
 * height	     Height		Dimension	0
 * mappedWhenManaged MappedWhenManaged	Boolean		True
 * screen	     Screen		Screen *	XtCopyScreen
 * sensitive	     Sensitive		Boolean		True
 * translations	     Translations	XtTMRec		XtInheritTranslations
 * width	     Width		Dimension	0
 * x		     Position		Position	0
 * y		     Position		Position	0
 *			       *** Composite ***
 * children	     ReadOnly		WidgetList	NULL
 * insertPosition    InsertPosition	XtOrderProc	NULL
 * numChildren	     ReadOnly		Cardinal	NULL
 *			      *** Constraint ***
 *			       *** ConsBase ***
 * borderClass	     Class		WidgetClass	"None"
 * borderWidget	     BorderWidget	Widget		NULL
 * doLayout	     DoLayout		Boolean		(caddr_t) True
 * foreground	     Foreground		Pixel		XtDefaultForeground
 * traverse	     Traverse		XtCallbackList	NULL
 *				*** Column ***
 * vspace	     Space		Dimension	(XtPointer) 5
 *				 *** Vpane ***
 * gripClass	     Class		WidgetClass	"Grip"
 */
/*
 * Constraint Parameters:
 *
 * Name		     Class		RepType		Default Value
 * ----		     -----		-------		-------------
 *				 *** Core ***
 *			       *** Composite ***
 *			      *** Constraint ***
 *			       *** ConsBase ***
 * sortOrder	     SortOrder		int		0
 *				*** Column ***
 * shrink	     Shrink		int		(XtPointer) 1
 * stretch	     Stretch		int		(XtPointer) 1
 *				 *** Vpane ***
 * childType	     ChildType		XoChildType	XoCHILD
 */
extern WidgetClass		xoVpaneWidgetClass;

typedef struct _XoVpaneClassRec	*XoVpaneWidgetClass;
typedef struct _XoVpaneRec	*XoVpaneWidget;

#ifndef XtNgripClass
#	define XtNgripClass "gripClass"
#endif
#ifndef XtNchildType
#	define XtNchildType "childType"
#endif
#ifndef XtCChildType
#	define XtCChildType "ChildType"
#endif
#ifndef XtRChildType
#	define XtRChildType "ChildType"
#endif

#endif /* _XO_VPANE_H_ */
